function InsertTextToParent(valu, refValuField, refId, refIdField, returnCallbackfields)
{
    if(typeof tinyMCEPopup.getWindowArg("tinymce") !== "undefined"){
        var win = tinyMCEPopup.getWindowArg("window");

        // insert information now
        win.document.getElementById(refValuField).value = valu;
        win.document.getElementById(refIdField).value = refId;

        for ( var source in returnCallbackfields ) {
            var regEXpression = /([^\>]+)\>(.*)/;
            if ( regEXpression.test(returnCallbackfields[source]) ) {
                regEXpression.exec(returnCallbackfields[source]);
                var idStr = RegExp.$1;
                var ctStr = RegExp.$2;
                if (typeof(win.document.getElementById(idStr).value) != "undefined")
                    win.document.getElementById(idStr).value  = ctStr;
            }
        }

        // are we an image browser
        if (typeof(win.ImageDialog) != "undefined")
        {
            // we are, so update image dimensions and preview if necessary
            if (win.ImageDialog.getImageData) win.ImageDialog.getImageData();
            if (win.ImageDialog.showPreviewImage) win.ImageDialog.showPreviewImage(refId);
        }

        // close popup window
        tinyMCEPopup.close();
    }else{
        if (!opener)
            var iframeWrapper = $('.mceWrapper', parent.document).find('iframe');
        else
            var iframeWrapper = $('.mceWrapper', opener.document).find('iframe');

        iframeWrapper.contents().find('#' + refValuField).val(valu);
        iframeWrapper.contents().find('#' + refIdField).val(refId);

        for ( var source in returnCallbackfields ) {
            var regEXpression = /([^\>]+)\>(.*)/;
            if ( regEXpression.test(returnCallbackfields[source]) ) {
                regEXpression.exec(returnCallbackfields[source]);
                var idStr = RegExp.$1;
                var ctStr = RegExp.$2;
                if (iframeWrapper.contents().find('#' + idStr).size())
                    iframeWrapper.contents().find('#' + idStr).val(ctStr);
            }
        }

        if (iframeWrapper[0].contentWindow.ImageDialog)
            iframeWrapper[0].contentWindow.ImageDialog.showPreviewImage(refId);

        if (!opener) {
            $(document).trigger('dpgCloseBackendPopup');
        } else {
           window.close();
        }
    }
	return false;
}

function switchCssClass(el, cssClass)
{
	el.className = cssClass;
}


